<?php
$tdataneweasy3_audit = array();
$tdataneweasy3_audit[".searchableFields"] = array();
$tdataneweasy3_audit[".ShortName"] = "neweasy3_audit";
$tdataneweasy3_audit[".OwnerID"] = "";
$tdataneweasy3_audit[".OriginalTable"] = "neweasy3_audit";


$tdataneweasy3_audit[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataneweasy3_audit[".originalPagesByType"] = $tdataneweasy3_audit[".pagesByType"];
$tdataneweasy3_audit[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataneweasy3_audit[".originalPages"] = $tdataneweasy3_audit[".pages"];
$tdataneweasy3_audit[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"search\":\"search\"}" );
$tdataneweasy3_audit[".originalDefaultPages"] = $tdataneweasy3_audit[".defaultPages"];

//	field labels
$fieldLabelsneweasy3_audit = array();
$fieldToolTipsneweasy3_audit = array();
$pageTitlesneweasy3_audit = array();
$placeHoldersneweasy3_audit = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsneweasy3_audit["English"] = array();
	$fieldToolTipsneweasy3_audit["English"] = array();
	$placeHoldersneweasy3_audit["English"] = array();
	$pageTitlesneweasy3_audit["English"] = array();
	$fieldLabelsneweasy3_audit["English"]["id"] = "Id";
	$fieldToolTipsneweasy3_audit["English"]["id"] = "";
	$placeHoldersneweasy3_audit["English"]["id"] = "";
	$fieldLabelsneweasy3_audit["English"]["datetime"] = "Datetime";
	$fieldToolTipsneweasy3_audit["English"]["datetime"] = "";
	$placeHoldersneweasy3_audit["English"]["datetime"] = "";
	$fieldLabelsneweasy3_audit["English"]["ip"] = "Ip";
	$fieldToolTipsneweasy3_audit["English"]["ip"] = "";
	$placeHoldersneweasy3_audit["English"]["ip"] = "";
	$fieldLabelsneweasy3_audit["English"]["user"] = "User";
	$fieldToolTipsneweasy3_audit["English"]["user"] = "";
	$placeHoldersneweasy3_audit["English"]["user"] = "";
	$fieldLabelsneweasy3_audit["English"]["table"] = "Table";
	$fieldToolTipsneweasy3_audit["English"]["table"] = "";
	$placeHoldersneweasy3_audit["English"]["table"] = "";
	$fieldLabelsneweasy3_audit["English"]["action"] = "Action";
	$fieldToolTipsneweasy3_audit["English"]["action"] = "";
	$placeHoldersneweasy3_audit["English"]["action"] = "";
	$fieldLabelsneweasy3_audit["English"]["description"] = "Description";
	$fieldToolTipsneweasy3_audit["English"]["description"] = "";
	$placeHoldersneweasy3_audit["English"]["description"] = "";
	if (count($fieldToolTipsneweasy3_audit["English"]))
		$tdataneweasy3_audit[".isUseToolTips"] = true;
}


	$tdataneweasy3_audit[".NCSearch"] = true;



$tdataneweasy3_audit[".shortTableName"] = "neweasy3_audit";
$tdataneweasy3_audit[".nSecOptions"] = 0;

$tdataneweasy3_audit[".mainTableOwnerID"] = "";
$tdataneweasy3_audit[".entityType"] = 0;
$tdataneweasy3_audit[".connId"] = "easy_cash_at_localhost";


$tdataneweasy3_audit[".strOriginalTableName"] = "neweasy3_audit";

	



$tdataneweasy3_audit[".showAddInPopup"] = false;

$tdataneweasy3_audit[".showEditInPopup"] = false;

$tdataneweasy3_audit[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataneweasy3_audit[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataneweasy3_audit[".listAjax"] = false;
//	temporary
$tdataneweasy3_audit[".listAjax"] = false;

	$tdataneweasy3_audit[".audit"] = false;

	$tdataneweasy3_audit[".locking"] = false;


$pages = $tdataneweasy3_audit[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataneweasy3_audit[".edit"] = true;
	$tdataneweasy3_audit[".afterEditAction"] = 1;
	$tdataneweasy3_audit[".closePopupAfterEdit"] = 1;
	$tdataneweasy3_audit[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataneweasy3_audit[".add"] = true;
$tdataneweasy3_audit[".afterAddAction"] = 1;
$tdataneweasy3_audit[".closePopupAfterAdd"] = 1;
$tdataneweasy3_audit[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataneweasy3_audit[".list"] = true;
}



$tdataneweasy3_audit[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataneweasy3_audit[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataneweasy3_audit[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataneweasy3_audit[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataneweasy3_audit[".printFriendly"] = true;
}



$tdataneweasy3_audit[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataneweasy3_audit[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataneweasy3_audit[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataneweasy3_audit[".isUseAjaxSuggest"] = true;

$tdataneweasy3_audit[".rowHighlite"] = true;



																								

$tdataneweasy3_audit[".ajaxCodeSnippetAdded"] = false;

$tdataneweasy3_audit[".buttonsAdded"] = false;

$tdataneweasy3_audit[".addPageEvents"] = false;

// use timepicker for search panel
$tdataneweasy3_audit[".isUseTimeForSearch"] = false;


$tdataneweasy3_audit[".badgeColor"] = "E67349";


$tdataneweasy3_audit[".allSearchFields"] = array();
$tdataneweasy3_audit[".filterFields"] = array();
$tdataneweasy3_audit[".requiredSearchFields"] = array();

$tdataneweasy3_audit[".googleLikeFields"] = array();
$tdataneweasy3_audit[".googleLikeFields"][] = "id";
$tdataneweasy3_audit[".googleLikeFields"][] = "datetime";
$tdataneweasy3_audit[".googleLikeFields"][] = "ip";
$tdataneweasy3_audit[".googleLikeFields"][] = "user";
$tdataneweasy3_audit[".googleLikeFields"][] = "table";
$tdataneweasy3_audit[".googleLikeFields"][] = "action";
$tdataneweasy3_audit[".googleLikeFields"][] = "description";



$tdataneweasy3_audit[".tableType"] = "list";

$tdataneweasy3_audit[".printerPageOrientation"] = 0;
$tdataneweasy3_audit[".nPrinterPageScale"] = 100;

$tdataneweasy3_audit[".nPrinterSplitRecords"] = 40;

$tdataneweasy3_audit[".geocodingEnabled"] = false;










$tdataneweasy3_audit[".pageSize"] = 20;

$tdataneweasy3_audit[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataneweasy3_audit[".strOrderBy"] = $tstrOrderBy;

$tdataneweasy3_audit[".orderindexes"] = array();


$tdataneweasy3_audit[".sqlHead"] = "SELECT id,  	`datetime`,  	ip,  	`user`,  	`table`,  	`action`,  	description";
$tdataneweasy3_audit[".sqlFrom"] = "FROM neweasy3_audit";
$tdataneweasy3_audit[".sqlWhereExpr"] = "";
$tdataneweasy3_audit[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataneweasy3_audit[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataneweasy3_audit[".arrGroupsPerPage"] = $arrGPP;

$tdataneweasy3_audit[".highlightSearchResults"] = true;

$tableKeysneweasy3_audit = array();
$tableKeysneweasy3_audit[] = "id";
$tdataneweasy3_audit[".Keys"] = $tableKeysneweasy3_audit;


$tdataneweasy3_audit[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["id"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "id";
//	datetime
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "datetime";
	$fdata["GoodName"] = "datetime";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","datetime");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "datetime";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`datetime`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["datetime"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "datetime";
//	ip
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ip";
	$fdata["GoodName"] = "ip";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","ip");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "ip";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ip";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=40";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["ip"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "ip";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["user"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "user";
//	table
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "table";
	$fdata["GoodName"] = "table";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","table");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "table";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`table`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["table"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "table";
//	action
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "action";
	$fdata["GoodName"] = "action";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","action");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "action";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`action`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["action"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "action";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "neweasy3_audit";
	$fdata["Label"] = GetFieldLabel("neweasy3_audit","description");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataneweasy3_audit["description"] = $fdata;
		$tdataneweasy3_audit[".searchableFields"][] = "description";


$tables_data["neweasy3_audit"]=&$tdataneweasy3_audit;
$field_labels["neweasy3_audit"] = &$fieldLabelsneweasy3_audit;
$fieldToolTips["neweasy3_audit"] = &$fieldToolTipsneweasy3_audit;
$placeHolders["neweasy3_audit"] = &$placeHoldersneweasy3_audit;
$page_titles["neweasy3_audit"] = &$pageTitlesneweasy3_audit;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["neweasy3_audit"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["neweasy3_audit"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_neweasy3_audit()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	`datetime`,  	ip,  	`user`,  	`table`,  	`action`,  	description";
$proto0["m_strFrom"] = "FROM neweasy3_audit";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "neweasy3_audit";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "datetime",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto8["m_sql"] = "`datetime`";
$proto8["m_srcTableName"] = "neweasy3_audit";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ip",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto10["m_sql"] = "ip";
$proto10["m_srcTableName"] = "neweasy3_audit";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto12["m_sql"] = "`user`";
$proto12["m_srcTableName"] = "neweasy3_audit";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "table",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto14["m_sql"] = "`table`";
$proto14["m_srcTableName"] = "neweasy3_audit";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "action",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto16["m_sql"] = "`action`";
$proto16["m_srcTableName"] = "neweasy3_audit";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "neweasy3_audit",
	"m_srcTableName" => "neweasy3_audit"
));

$proto18["m_sql"] = "description";
$proto18["m_srcTableName"] = "neweasy3_audit";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "neweasy3_audit";
$proto21["m_srcTableName"] = "neweasy3_audit";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "datetime";
$proto21["m_columns"][] = "ip";
$proto21["m_columns"][] = "user";
$proto21["m_columns"][] = "table";
$proto21["m_columns"][] = "action";
$proto21["m_columns"][] = "description";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "neweasy3_audit";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "neweasy3_audit";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="neweasy3_audit";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_neweasy3_audit = createSqlQuery_neweasy3_audit();


	
		;

							

$tdataneweasy3_audit[".sqlquery"] = $queryData_neweasy3_audit;



$tableEvents["neweasy3_audit"] = new eventsBase;
$tdataneweasy3_audit[".hasEvents"] = false;

?>